unit lib4;
(*
Obsahuje procedury a funkce pro nacteni dat ze souboru
*)
interface
uses crt,mouse,windws,lib1,lib2,lib3;
procedure NactiVyrazZeSouboru;
procedure NactiOperaceZeSouboru;
procedure NactiPrevodZeSouboru;
implementation
procedure NactiVyrazZeSouboru;
label zacatek;
var s:SouborTextovy;
    r:Retezec;
    i,Kl:integer;
    konec,succes:boolean;
begin
zacatek:
w[1].Stav:=Invisible;
for i:=w[1].x1 to w[1].x2 do
    Dispose(w[1].Obsah[i]);
succes:=false;
WNastavBarvuTextu(8);
WNastavBarvuPozadi(15);
OknoOtevri(10,160,610,240,'Nacteni dat ze souboru',3);
TxtPoleVytvor(3,20,40,515,48,60,27);
GetDir(0,Txt[27].Obsah);
Txt[27].Obsah:=Txt[27].Obsah+'\';
AktualizujTxtPole(3,27);
ButonVytvor(3,540,60,'Storno',10);
ButonVytvor(3,490,60,'Ok',9);
WNastavBarvuPozadi(7);
OknoPisRetezec(3,'Cesta a jmeno souboru',20,30);
konec:=false;
repeat
Kl:=0;
if keypressed then Kl:=readkey2;
MouseMove;
MouseClickOnTxtPole(3,27);
if (MouseClickOnButon(3,b[9])) or (Kl = 13) then
   begin
   assign(s,Txt[27].Obsah+'.txt');
   {$I-}
   reset(s);
   {$I+}
   konec:=true;
   if IOResult <> 0 then
      begin
      ErrMessage(2,'Soubor nenalezen!');
      konec:=false;
      end
   else begin
        for i:=1 to 2 do
            begin
            if eof(s) then
               begin
               if not konec then
                  begin
                  ErrMessage(2,'Chyba formatu souboru!');
                  konec:=false;
                  end;
               end
            else begin
                 readln(s,Txt[i].Obsah);
                 if length(Txt[i].Obsah)>Txt[i].Delka then
                    begin
                    ErrMessage(2,'V souboru ulozeno prilis dlouhe cislo!');
                    konec:=false;
                    end;
                 end;
            end;
        close(s);
        succes:=true;
        end;
   end;
if (MouseClickOnButon(3,b[0])) or
   (MouseClickOnButon(3,b[10])) or
   (Kl = 363) or (Kl = 27) then konec:=true;
until konec;
(* Konec *)
TxtPoleZrus(3,27);
ButonZrus(3,10);
ButonZrus(3,9);
OknoZavri(3);
w[1].Stav:=Open;
for i:=w[1].x1 to w[1].x2 do
    New(w[1].Obsah[i]);
ButonVytvor(1,w[1].x2-15-w[1].x1,1,'x',0);
if succes then
   begin
   AktualizujTxtPole(1,1);
   AktualizujTxtPole(1,2);
   end;
OknoUloz(1,w[1].x1,w[1].y1,w[1].x2,w[1].y2);
end;
procedure NactiOperaceZeSouboru;
label zacatek;
var s:SouborTextovy;
    r:Retezec;
    i,Kl:integer;
    konec,succes:boolean;
begin
zacatek:
w[1].Stav:=Invisible;
for i:=w[1].x1 to w[1].x2 do
    Dispose(w[1].Obsah[i]);
succes:=false;
WNastavBarvuTextu(8);
WNastavBarvuPozadi(15);
OknoOtevri(10,160,610,240,'Nacteni dat ze souboru',3);
TxtPoleVytvor(3,20,40,515,48,60,27);
GetDir(0,Txt[27].Obsah);
Txt[27].Obsah:=Txt[27].Obsah+'\';
AktualizujTxtPole(3,27);
ButonVytvor(3,540,60,'Storno',10);
ButonVytvor(3,490,60,'Ok',9);
WNastavBarvuPozadi(7);
OknoPisRetezec(3,'Cesta a jmeno souboru',20,30);
konec:=false;
repeat
Kl:=0;
if keypressed then Kl:=readkey2;
MouseMove;
MouseClickOnTxtPole(3,27);
if (MouseClickOnButon(3,b[9])) or (Kl = 13) then
   begin
   assign(s,Txt[27].Obsah+'.txt');
   {$I-}
   reset(s);
   {$I+}
   konec:=true;
   if IOResult <> 0 then
      begin
      ErrMessage(2,'Soubor nenalezen!');
      konec:=false;
      end
   else begin
        for i:=1 to 26 do
            begin
            if eof(s) then
               begin
               if not konec then
                  begin
                  ErrMessage(2,'Chyba formatu souboru!');
                  konec:=false;
                  end;
               end
            else begin
                 readln(s,Txt[i].Obsah);
                 if length(Txt[i].Obsah)>Txt[i].Delka then
                    begin
                    ErrMessage(2,'V souboru ulozeno prilis dlouhe cislo!');
                    konec:=false;
                    end;
                 end;
            end;
        close(s);
        succes:=true;
        end;
   end;
if (MouseClickOnButon(3,b[0])) or
   (MouseClickOnButon(3,b[10])) or
   (Kl = 363) or (Kl = 27) then konec:=true;
until konec;
(* Konec *)
TxtPoleZrus(3,27);
ButonZrus(3,10);
ButonZrus(3,9);
OknoZavri(3);
w[1].Stav:=Open;
for i:=w[1].x1 to w[1].x2 do
    New(w[1].Obsah[i]);
ButonVytvor(1,w[1].x2-15-w[1].x1,1,'x',0);
if succes then
   begin
   for i:=1 to 26 do
       AktualizujTxtPole(1,i);
   end;
OknoUloz(1,w[1].x1,w[1].y1,w[1].x2,w[1].y2);
end;
procedure NactiPrevodZeSouboru;
label zacatek;
var s:SouborTextovy;
    r:Retezec;
    i,Kl:integer;
    konec,succes:boolean;
begin
zacatek:
w[1].Stav:=Invisible;
for i:=w[1].x1 to w[1].x2 do
    Dispose(w[1].Obsah[i]);
succes:=false;
WNastavBarvuTextu(8);
WNastavBarvuPozadi(15);
OknoOtevri(10,160,610,240,'Nacteni dat ze souboru',3);
TxtPoleVytvor(3,20,40,515,48,60,27);
ButonVytvor(3,540,60,'Storno',10);
ButonVytvor(3,490,60,'Ok',9);
WNastavBarvuPozadi(7);
GetDir(0,Txt[27].Obsah);
Txt[27].Obsah:=Txt[27].Obsah+'\';
AktualizujTxtPole(3,27);
OknoPisRetezec(3,'Cesta a jmeno souboru',20,30);
konec:=false;
repeat
Kl:=0;
if keypressed then Kl:=readkey2;
MouseMove;
MouseClickOnTxtPole(3,27);
if (MouseClickOnButon(3,b[9])) or (Kl = 13) then
   begin
   assign(s,Txt[27].Obsah+'.txt');
   {$I-}
   reset(s);
   {$I+}
   konec:=true;
   if IOResult <> 0 then
      begin
      ErrMessage(2,'Soubor nenalezen!');
      konec:=false;
      end
   else begin
        for i:=1 to 3 do
            begin
            if eof(s) then
               begin
               if not konec then
                  begin
                  ErrMessage(2,'Chyba formatu souboru!');
                  konec:=false;
                  end;
               end
            else begin
                 readln(s,Txt[i].Obsah);
                 if length(Txt[i].Obsah)>Txt[i].Delka then
                    begin
                    ErrMessage(2,'V souboru ulozeno prilis dlouhe cislo!');
                    konec:=false;
                    end;
                 end;
            end;
        close(s);
        succes:=true;
        end;
   end;
if (MouseClickOnButon(3,b[0])) or
   (MouseClickOnButon(3,b[10])) or
   (Kl = 363) or (Kl = 27) then konec:=true;
until konec;
(* Konec *)
TxtPoleZrus(3,27);
ButonZrus(3,10);
ButonZrus(3,9);
OknoZavri(3);
w[1].Stav:=Open;
for i:=w[1].x1 to w[1].x2 do
    New(w[1].Obsah[i]);
ButonVytvor(1,w[1].x2-15-w[1].x1,1,'x',0);
if succes then
   begin
   AktualizujTxtPole(1,1);
   AktualizujTxtPole(1,2);
   AktualizujTxtPole(1,3);
   end;
OknoUloz(1,w[1].x1,w[1].y1,w[1].x2,w[1].y2);
end;
begin
end.
